#
# == stopwatch
# 
# Revision:: $Id$
#
require 'time'

# 
# 時間を計測するStopwatch。
#
class Stopwatch
  attr_reader :start_time, :stop_time, :time

  def initialize
    clear()
  end

  # Stopwatchを開始する。
  def start
    @start_time = Time.now
    #puts "start = #{@start_time.inspect}"
  end

  # Stopwatchを停止する。
  def suspend
    @stop_time = Time.now
    #puts "stop = #{@stop_time.inspect}"
    @time = @time.to_f + (@stop_time - @start_time).to_f
  end

  # 計測していた時間をクリアする。
  def clear
    @start_time = -1
    @stop_time = -1
    @time = 0
  end
end # class Stopwatch #
